System.Web 2.0.0.0 System.Configuration.ConfigurationFileMap

The class is used to specify the Web configuration file hierarchy. By default, the configuration system uses the IIS metabase to determine the Web file hierarchy. If IIS is not installed, or if an application targets a version of the .NET Framework that is not the latest version that is installed on the server, the class provides a means to define a custom hierarchy.

The class can specify a single path or multiple paths related to configuration files.

Defines the configuration file mappings for a Web application. This class cannot be inherited.

- Constructor
  To be added.

  Creates a new instance of the class.

  2.0.0.0
- Method
  System.Object To be added.

  Creates a new instance of a class with the same value as the existing instance.

  A new instance of a class.

  2.0.0.0
- Property
  System.Web.Configuration.VirtualDirectoryMappingCollection To be added.

  The virtual directories of a Web application may not necessarily map to the physical directories on the server. The class is independent of IIS.

  Gets the listed collection of virtual directories for a Web application.

  2.0.0.0